- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEffectParameterSurfaceInit Class Reference
[COLLADA Effect Classes [ColladaFX]]

A surface initialization method. More...

`#include <FCDEffectParameterSurface.h>`

Inheritance diagram for FCDEffectParameterSurfaceInit:

List of all members.

## Public Member Functions
| FCDEffectParameterSurfaceInit ()
| Constructor: builds a new surface initialization method.
virtual | ~FCDEffectParameterSurfaceInit ()
| Destructor.
virtual FCDEffectParameterSurfaceInitFactory::InitType | GetInitType () const =0
| Retrieves the initialization type.
virtual FCDEffectParameterSurfaceInit * | Clone (FCDEffectParameterSurfaceInit *clone) const
| Copies all member variables into clone.

## Detailed Description

A surface initialization method.

In COLLADA 1.4.1, this information was added to support complex surface types. There are six types of initialization methods, described in the InitType enumerated type. Expect the FROM initialization type in the large majority of cases.

## Member Function Documentation

virtual FCDEffectParameterSurfaceInit* FCDEffectParameterSurfaceInit::Clone | ( | FCDEffectParameterSurfaceInit * | clone | ) | const`[virtual]`

  | Copies all member variables into clone. Parameters:
  | clone | a valid pointer to a FCDEffectParameterSurfaceInit object
Reimplemented in FCDEffectParameterSurfaceInitCube, FCDEffectParameterSurfaceInitVolume, FCDEffectParameterSurfaceInitFrom, FCDEffectParameterSurfaceInitAsNull, FCDEffectParameterSurfaceInitAsTarget, and FCDEffectParameterSurfaceInitPlanar.

virtual FCDEffectParameterSurfaceInitFactory::InitType FCDEffectParameterSurfaceInit::GetInitType | ( |  | ) | const`[pure virtual]`

| Retrieves the initialization type. You cannot modify this value. To change the initialization type of a surface parameter, create a new surface initialization structure of the correct type. Returns: The initialization type. Implemented in FCDEffectParameterSurfaceInitCube, FCDEffectParameterSurfaceInitVolume, FCDEffectParameterSurfaceInitFrom, FCDEffectParameterSurfaceInitAsNull, FCDEffectParameterSurfaceInitAsTarget, and FCDEffectParameterSurfaceInitPlanar.

The documentation for this class was generated from the following file:

- FCDocument/FCDEffectParameterSurface.h